XFPT(1)

NAME
xfpt - make XML from plain text

SYNOPSIS
xfpt [options] [source file]

DESCRIPTION

xfpt converts a marked up text file to XML. The markup is simple and consists of lines that begin with a dot ("directive lines") and sequences in the text that begin with an ampersand ("flags"). The flag sequences are not built-in, but are defined by directives. As well as the in-built directives, macros can be used to implement higher level concepts. A standard set of macros and flags that generate DocBook XML is provided. There is a full description in the xfpt specification, which is distributed as a PDF file, an HTML file, and as xfpt source.

OPTIONS

-help or --help
    This causes xfpt to output its "usage" information and then exit.

-o file
    This specifies the output file. The default is the standard output if no source file is given, and the source file name with a .xml extension otherwise.

-S directory
    This specifies an alternative "share" directory in which to find standard configuration files.

-v or --version
    Output the xfpt version and exit.

AUTHOR

Philip Hazel
Retired from University Computing Service
Cambridge, England.

Last updated: 08 March 2023
Copyright (c) 2023 University of Cambridge.